import 'dart:io';

//import 'package:dart_bones/dart_bones.dart';

final regExprDimensions = RegExp(r'^\d+\s*x\s*\d+$');
final regExprNat = RegExp(r'^\d+$');

/// Tests whether an [input] is a dimension expression (width x height).
/// Returns null if yes or an error message if not.
String checkDimensions(String input) {
  String rc;
  if (regExprDimensions.firstMatch(input) == null) {
    rc = 'Keine korrekte Dimensiosangabe: $input';
  }
  return rc;
}

/// Tests whether [input] is a directory.
/// Returns null if yes or an error message if not.
String checkDirectory(String input) {
  String rc;
  if (!Directory(input).existsSync()) {
    rc = 'Kein Verzeichnis: $input';
  }
  return rc;
}

/// Tests whether [input] is a not negative integer (nat).
/// Returns null if yes or an error message if not.
String checkNat(String input) {
  String rc;
  if (regExprNat.firstMatch(input) == null) {
    rc = 'Keine Ganzzahl: $input';
  }
  return rc;
}
